/*  
 * Copyright (c) 2011 Ant Kutschera
 * 
 * This file is part of Ant Kutschera's blog, 
 * http://blog.maxant.co.uk
 * 
 * This is free software: you can redistribute
 * it and/or modify it under the terms of the
 * Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 * 
 * It is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the Lesser GNU General Public License for
 * more details. 
 * 
 * You should have received a copy of the
 * Lesser GNU General Public License along with this software.
 * If not, see http://www.gnu.org/licenses/.
 */
package ch.maxant.comms.server;

import java.util.ArrayList;
import java.util.List;

import ch.maxant.comms.common.SerializationType;


public class Request {

	private String serviceName;
	private List<Class<?>> parameterTypes = new ArrayList<Class<?>>();
	private String methodName;
	private List<Object> arguments = new ArrayList<Object>();
	private SerializationType serializationType = SerializationType.JAVA_SERIALIZATION;

	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	
	public List<Class<?>> getParameterTypes() {
		return parameterTypes;
	}

	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}

	public String getMethodName() {
		return methodName;
	}

	public List<Object> getArguments() {
		return arguments;
	}

	public SerializationType getSerializationType() {
		return serializationType;
	}

	public void setSerializationType(SerializationType serializationType) {
		this.serializationType = serializationType;
	}

}
